# Aspects Fix

It changes Elite equipment into red tier items and make them more accessible, while adding some scalability.

## Feedback

This is my first mod for risk of rain 2 and my first time dealing with C# so any feedback, question, suggestion and bug reports are much appreciated. The balance is still something I'm a bit doubtful about, so if you think something is too strong or weak tell me. You can find me on discord @zaktan#7292 .


## What it changes

* Silence Between Two Strikes: Equipment (Orange) -> Legendary (Red)
* Silence Between Two Strikes: Bomb damage static 50% of the damage done -> Bomb damage scales with how many stacks you have*
* N'kuhana's Retort: Equipment (Orange) -> Legendary (Red)
* Ifrit's Distinction: Equipment (Orange) -> Legendary (Red)
* Ifrit's Distinction: Static 100% burn damage -> Burn damage scales* (Still bound by the victim's health)
* Her Biting Embrace: Equipment (Orange) -> Legendary (Red)
* Spectral Circle: Equipment (Orange) -> Legendary (Red)
* Drop rates: 0.025% (1 in 4000) -> 0.1% (1 in 1000)
* Allow these items to drop from chests.

*Ifrit's burn damage scales linearly and Silence Between Two Strikes' bomb damage scales according to a curve, both linked in the bottom of this page.

## Installation

* Unzip the plugin zip.
* Copy the .dll file to your Bepinex/plugins folder.
* Optional: create a separate folder inside the plugins folder and place the .dll there instead.

## Changelog

### 1.0.1
* Added the "Thanks to" Section to README.md (lol)

### 1.0.0
* Release

## Future

I have some plans for future updates that I'm, either, deciding if it would fit or trying to learn a bit before I push them to this mod. I would love to hear some ideas about these. Here is a list and currently why they weren't implemented directly in the first release:
* Scalability for Spectral Circle - It's functionality is rather simple, so I couldn't think of how to scale it.
* Scalability for Her Biting Embrace - At first I thought of making the duration scale with the number of stacks but I figured that would be way too weak, have the idea of making the slow scale instead but that might make it a bit too strong.
* Scalability for N'kuhana's Retort - Again, simple functionality. Thought of making it spawn more spiked balls but that could lead to trouble as it would clutter the game a bit too much.
* Ifrit's Distinction balance - Currently the burn damage type is bound to whatever is higher the tick damage or the 1% of the victim's health, which makes the scaling weak and usually not effective at all. I'm entertaining the idea of unlocking it by making it not care about the victim's health and always apply  the % value of your hit damage or maybe keep the % value static and the burn tick damage bound but allow for more stacks to be applied per hit based on the number of stacks.
* Remove completely the ability to gain these items from chests - I'm on the fence about this as I think it helps with getting them more consistently but I'm not sure if it's too much coupled with the fact that I made their natural drop rates higher too.
* Make it configurable by using a config file.

## Resources

* [Elite enemy's abilities](https://riskofrain2.gamepedia.com/Monsters#Elites) - To have a rough idea of what those items provide you. (Keep in mind the numbers are different for the players)
* [Item scaling graphs](https://www.desmos.com/calculator/ployhgn2aw) - These are the curves for the scaling of each item, I'll update the link as I add scalability to the remaining items or change the current ones.

## Thanks to

* Harb, for very pantiently teaching me IL instructions and the logic behind stacks
* iDeathHD, for helping me find the crash dumps to fix the mod during testing
* the whole modding community that helped me answering questions on discord